org.apache.http.impl.conn.tsccm

## Class BasicPoolEntryRef

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.WeakReference<BasicPoolEntry>
    - - org.apache.http.impl.conn.tsccm.BasicPoolEntryRef

- Deprecated.
  (4.2) do not use

      @Deprecated
      public class BasicPoolEntryRef
      extends WeakReference<BasicPoolEntry>

  A weak reference to a `BasicPoolEntry`. This reference explicitly keeps the planned route, so the connection can be reclaimed if it is lost to garbage collection.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicPoolEntryRef(BasicPoolEntry entry, ReferenceQueue<Object> queue)` Deprecated. Creates a new reference to a pool entry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpRoute` | `getRoute()` Deprecated. Obtain the planned route for the referenced entry.

    - ### Methods inherited from class java.lang.ref.Reference

      `clear, enqueue, get, isEnqueued`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicPoolEntryRef

          public BasicPoolEntryRef(BasicPoolEntry entry,
                           ReferenceQueue<Object> queue)

      Deprecated.
      Creates a new reference to a pool entry.
      Parameters:
        `entry` - the pool entry, must not be `null`
        `queue` - the reference queue, or `null`

  - ### Method Detail

    - #### getRoute

          public final HttpRoute getRoute()

      Deprecated.
      Obtain the planned route for the referenced entry. The planned route is still available, even if the entry is gone.
      Returns:
        the planned route

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.